Name:           felix-parent
Version:        1.2.1
Release:        %mkrel 7
Summary:        Parent POM file for Apache Felix Specs

Group:          Development/Java
License:        ASL 2.0
URL:            http://felix.apache.org/
#svn export http://svn.apache.org/repos/asf/felix/releases/felix-parent-1.2.1/
#tar -jcf felix-parent-1.2.1.tar.bz2 felix-parent-1.2.1/
Source0:        %{name}-%{version}.tar.bz2
Source1:        %{name}-depmap.xml
#Remove mockito-all dependency which is not in koji
Patch0:        %{name}-%{version}-pom.patch

BuildArch: noarch

BuildRequires: jpackage-utils
BuildRequires: junit
BuildRequires: maven
BuildRequires: easymock2
BuildRequires: maven-plugin-plugin
BuildRequires: maven-compiler-plugin
BuildRequires: maven-install-plugin
BuildRequires: maven-jar-plugin
BuildRequires: maven-javadoc-plugin
BuildRequires: maven-resources-plugin
BuildRequires: maven-assembly-plugin
BuildRequires: maven-source-plugin
BuildRequires: maven-deploy-plugin
BuildRequires: maven-gpg-plugin
BuildRequires: maven-site-plugin
BuildRequires: maven-project-info-reports-plugin
BuildRequires: maven-release-plugin
BuildRequires: maven-surefire-plugin
BuildRequires: maven-surefire-report-plugin
BuildRequires: maven-plugin-build-helper
BuildRequires: maven-plugin-jxr

Requires: junit
Requires: easymock2
Requires: maven
Requires: maven-plugin-plugin
Requires: maven-compiler-plugin
Requires: maven-install-plugin
Requires: maven-jar-plugin
Requires: maven-javadoc-plugin
Requires: maven-resources-plugin
Requires: maven-assembly-plugin
Requires: maven-source-plugin
Requires: maven-deploy-plugin
Requires: maven-gpg-plugin
Requires: maven-site-plugin
Requires: maven-project-info-reports-plugin
Requires: maven-release-plugin
Requires: maven-surefire-plugin
Requires: maven-surefire-report-plugin
Requires: maven-plugin-build-helper
Requires: maven-plugin-jxr

Requires:       jpackage-utils
Requires(post):       jpackage-utils
Requires(postun):     jpackage-utils


%description
Parent POM file for Apache Felix Specs.

%prep
%setup -q 
%patch0 -p0 -b .sav

%build
mvn-rpmbuild \
        -Dmaven2.jpp.depmap.file=%{SOURCE1} \
        install javadoc:javadoc

%install
# depmap
%add_to_maven_depmap org.apache.felix %{name} %{version} JPP/felix %{name}

# legacy depmap
# (some upstream packages haven't caught up with the "felix" -> "felix-parent" rename yet)
%add_to_maven_depmap org.apache.felix felix %{version} JPP/felix %{name}

# poms
install -pD -T -m 644 pom.xml \
    %{buildroot}%{_mavenpomdir}/JPP.felix-%{name}.pom

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%defattr(-,root,root,-)
%doc LICENSE NOTICE
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*




%changelog
* Thu Apr 28 2011 dmorgan <dmorgan> 1.2.1-7.mga1
+ Revision: 92440
- Rebuild after bootstrapping
- imported package felix-parent


* Wed Mar 30 2011 Alexander Kurtakov <akurtako@redhat.com> 1.2.1-6
- Fix faulty compiler plugin settings setting source but not target.

* Sun Mar 13 2011 Mat Booth <fedora@matbooth.co.uk> 1.2.1-5
- Add dep on maven-plugin-jxr.

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Dec 27 2010 Mat Booth <fedora@matbooth.co.uk> - 1.2.1-3
- Add legacy depmap from maven2-common-poms for felix packages that still
  specify "felix" instead of "felix-parent"

* Tue Jul 20 2010 Hui Wang <huwang@redhat.com> - 1.2.1-2
- Update summary and description
- Add comment in mvn-jpp

* Fri Jul 16 2010 Hui Wang <huwang@redhat.com> - 1.2.1-1
- Initial version of the package
